## org.omg.CORBA
Class ConstantDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ConstantDescriptionHelper

public class ConstantDescriptionHelper
extends java.lang.Object

Helper class for : ConstantDescription

Author:
  OpenORB Compiler

Constructor Summary
`ConstantDescriptionHelper()`

Method Summary
`static ConstantDescription` `extract(Any a)` Extract ConstantDescription from an any
`static java.lang.String` `id()` Return the ConstantDescription IDL ID
`static void` `insert(Any a, ConstantDescription t)` Insert ConstantDescription into an any
`static ConstantDescription` `read(InputStream istream)` Read ConstantDescription from a marshalled stream
`static TypeCode` `type()` Return the ConstantDescription TypeCode
`static void` `write(OutputStream ostream, ConstantDescription value)` Write ConstantDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstantDescriptionHelper

    public ConstantDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ConstantDescription t)

  Insert ConstantDescription into an any
  Parameters:
    `a` - an any
    `t` - ConstantDescription value

### extract

    public static ConstantDescription extract(Any a)

  Extract ConstantDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ConstantDescription value

### type

    public static TypeCode type()

  Return the ConstantDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ConstantDescription IDL ID
  Returns:
    an ID

### read

    public static ConstantDescription read(InputStream istream)

  Read ConstantDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ConstantDescription value

### write

    public static void write(OutputStream ostream,
                             ConstantDescription value)

  Write ConstantDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ConstantDescription value